# The Red Matrix: dba_mysql Class Reference

All Classes Namespaces Files Functions Variables Pages
dba_mysql Class Reference
Inheritance diagram for dba_mysql:

## Public Member Functions

| connect ($server, $port, $user, $pass, $db)
| q ($sql)
| escape ($str)
| close ()
Public Member Functions inherited from dba_driver
| connect ($server, $port, $user, $pass, $db)
| q ($sql)
| escape ($str)
| close ()
| __construct ($server, $port, $user, $pass, $db, $install=false)
| install ($server, $user, $pass, $db)
| dbg ($dbg)
| __destruct ()

## Additional Inherited Members

Public Attributes inherited from dba_driver
| $connected = false
| $error = false
Protected Attributes inherited from dba_driver
| $debug = 0
| $db

## Member Function Documentation

dba_mysql::close | ( |  | ) |

dba_mysql::connect | ( |  | $server,
|  |  | $port,
|  |  | $user,
|  |  | $pass,
|  |  | $db
| ) |  |

dba_mysql::escape | ( |  | $str | ) |

dba_mysql::q | ( |  | $sql | ) |

The documentation for this class was generated from the following file:

- include/dba/dba_mysql.php